package com.rc.httpcore.bean

import java.math.BigDecimal

data class ConfigBean(
    val createBy: Long,
    val createTime: String,
    val id: String,
    val loginType: String,  //登陆方式
    val circularLogo: String,
    val subName: String,
    val levelName: String?,
    val levelColor: String,
    val roomNum: String,
    val deptName: String,
    val buildName: String, //楼栋3 buildName+floorName
    val floorName: String,
    val operateTimeout: Int,
    val remark: Any,
    val subscribe: Boolean,
    val timeoutHour: Int,
    val timeoutMinute: Any,
    val updateBy: Long,
    val updateTime: String,
    val useHour: Int,
    val useMinute: Any,
    val weighHintPicture: String? = null,
    var backTime: Int = 40,//自动返回时间
    var signOutTime: Int = 50,//自动注销时间   注销时间必须大于自动返回时间
    var offTime: Int = 30,//弹窗关闭时间       //必须小于自动返回时间
    val verifyType: String, //双人验证方式
    val vinVex: BigDecimal = BigDecimal(5.00)  //称重入库  容差率
)