package com.rc.httpcore.bean

import java.math.BigDecimal


//化学品搜索信息
data class ChemicalSearchBean(
    val anotherName: String,  //化学品别名
    val anotherNameChar: String,
    val anotherNamePinyin: String,
    val casNum: String, //cas号
    val chemicalCategory: String?,
    val chemicalDensity: String?,
    val chemicalId: String,
    val chemicalLevel: Int, //1是管控，2是非管控
    val chemicalName: String, //化学品名称
    val chemicalNameChar: String,
    val chemicalNamePinyin: String,
    val chemicalNum: Any,
    val chemicalPurity: String, //纯度
    val createBy: Long,
    val createName: String,
    val createTime: String,
    val depositRequire: Int,
    val depositUnit: String?,
    val msdsId: Any,
    val updateBy: Long,
    val updateName: String,
    val packNum: BigDecimal?,  //包装值
    val specNum: BigDecimal?, //规格值
    val updateTime: String,
    var chemicalCategoryName: String?
)