package xn.hxp.ui.plan.room.dao;

import androidx.room.Dao;
import androidx.room.Delete;
import androidx.room.Insert;
import androidx.room.OnConflictStrategy;
import androidx.room.Query;
import androidx.room.Update;

import xn.hxp.ui.plan.room.bean.locker.HxpCabinetVo;
import xn.hxp.ui.plan.room.bean.locker.HxpLabCabinetVo;
import xn.hxp.ui.plan.room.bean.locker.HxpLabDirector;

import java.util.List;

@Dao
public interface HxpLabDirectorDAO {

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    void insertAll(List<HxpLabDirector> users);

    @Query("SELECT * FROM hxplabdirector")
    List<HxpLabDirector> getAll();

    @Query("DELETE FROM hxplabdirector")
    void deleteAll();

}
